<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: OnisBreadcrumb</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: OnisBreadcrumb</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>OnisBreadcrumb<span class="signature">()</span><span class="type-signature"></span></h2>
        
            <div class="class-description">Generate a breadcrumb component given a path object with root item, main menu items and right hand menu items</div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="OnisBreadcrumb"><span class="type-signature"></span>new OnisBreadcrumb<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Default constructor
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="breadcrumb.js.html">breadcrumb.js</a>, <a href="breadcrumb.js.html#line8">line 8</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    
        <h3 class="subsection-title">Extends</h3>

        


    <ul>
        <li>LitElement</li>
    </ul>


    

    

    
        <h3 class="subsection-title">Classes</h3>

        <dl>
            <dt><a href="OnisBreadcrumb.html">OnisBreadcrumb</a></dt>
            <dd></dd>
        </dl>
    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id=".is"><span class="type-signature">(static) </span>is<span class="type-signature"></span></h4>




<div class="description">
    Identifier for this component
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="breadcrumb.js.html">breadcrumb.js</a>, <a href="breadcrumb.js.html#line13">line 13</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id=".properties"><span class="type-signature">(static) </span>properties<span class="type-signature"></span></h4>




<div class="description">
    Define propperties for the component
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="breadcrumb.js.html">breadcrumb.js</a>, <a href="breadcrumb.js.html#line18">line 18</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="props"><span class="type-signature"></span>props<span class="type-signature"></span></h4>




<div class="description">
    Modifies the props object and updates the component with the requestUpdate(..) function
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="breadcrumb.js.html">breadcrumb.js</a>, <a href="breadcrumb.js.html#line35">line 35</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="props"><span class="type-signature"></span>props<span class="type-signature"></span></h4>




<div class="description">
    Accesor for the props object
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="breadcrumb.js.html">breadcrumb.js</a>, <a href="breadcrumb.js.html#line44">line 44</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="._getItemLabel"><span class="type-signature">(static) </span>_getItemLabel<span class="signature">(i)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Returns renderable state of a given menu item
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>i</code></td>
            

            <td class="type">
            
                
<span class="param-type">object</span>


            
            </td>

            

            

            <td class="description last">instance of the menu item</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="breadcrumb.js.html">breadcrumb.js</a>, <a href="breadcrumb.js.html#line103">line 103</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="createRenderRoot"><span class="type-signature"></span>createRenderRoot<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="breadcrumb.js.html">breadcrumb.js</a>, <a href="breadcrumb.js.html#line49">line 49</a>
    </li></ul></dd>
    

    

    

    
</dl>















<h5>Returns:</h5>

        
<div class="param-desc">
    root component for the render
</div>



    





        
            

    

    
    <h4 class="name" id="render"><span class="type-signature"></span>render<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Renders the component
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="breadcrumb.js.html">breadcrumb.js</a>, <a href="breadcrumb.js.html#line56">line 56</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="updated"><span class="type-signature"></span>updated<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Once the component is created, add the tooltip to sub-elements
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="breadcrumb.js.html">breadcrumb.js</a>, <a href="breadcrumb.js.html#line113">line 113</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="OnisBreadcrumb.html">OnisBreadcrumb</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Tue Feb 16 2021 23:02:50 GMT+0000 (Greenwich Mean Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>